Retrieve the collections report of a center

NOTE : This API is deprecated. Requesting not to use this API for any new integrations as the data cannot be reconciled to new collection report available in the UI. This API retrieves the list of collections of the specified center during the selected date range.You must specify appropriate details for the center_id, start_date, and end_date parameters in the API request.Note : The date range that you specify cannot be more than seven days.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Details

NameTypeDescription
invoice_idguidUnique 32-character identifier of the center.
invoice_nostringUnique number assigned to the invoice.
reciept_nostringUnique number assigned to the receipt.
created_datedatetimeCreated date of the invoice.
statusintegerStatus of the invoice: 0 - Open and 4 - Closed.
total_collectiondecimalTotal amount collected on the invoice.
gross_amountdecimalGross value of the invoice
net_amountdecimalNet value of the invoice.
discountdecimalDiscount applied on the invoice.
rounding_adjustmentdecimalRounding adjustment made on the invoice.
cashbackdecimalTotal cashback paid to the guest's card.
guest_idguidUnique 32-character identifier of the guest.
transactionsobjectObject that contains these list of transaction-related elements made on the invoice: date, type, detail_type, amount, cashback, tips, and ssg.
itemsobjectObject that contains the list of items selected as part of the invoice. For more information, refer to the items Object table.
employee_tipsobjectObject that contains these employee tips-related elements: employee_id and tip_amount.
ErrorobjectObject that contains error message and error code details.

page_info Object

NameTypeDescription
idguidUnique 32-character identifier of the invoice item.
namestringName of the invoice item.
codestringCode of the invoice item.
typestringIndicates the type of invoice item.
quantityintegerQuantity selected as part of the invoice.
final_sale_pricedecimalFinal sale price of the item.
discountdecimalDiscount applied on the item.
cashback_redemptiondecimalCashback redemption on the invoice.
therapist_idguidUnique 32-character identifier of the therapist.
taxesobjectObject that contains details of tax breakups.
taxes.typestringType of the tax.
taxes.amountdecimalAmount collected as tax.
taxes.tax_percentagedecimalTax percentage set for this particular tax type.
taxes.item_percentagedecimalEach sale item's price is taxed by this percentage. Typically, this should be set as 100%. In some cases, you may be able to tax only a portion of the sale price.
paymentsobjectObject that contains payment details of the invoice item.
payments.typestringType of the payment.
payments.detail_typestringDetailed type of the payment.
payments.amountdecimalAmount made for the item in this payment.
payments.taxdecimalTax collected for this item in this payment.
payments.tipdecimalTip collected for this item in this payment.
payments.ssgdecimalSupport staff gratuity collected for this item in this payment.
Path Params
string
required

Mandatory Unique 32-character identifier of the center.

Query Params
date
required

Mandatory Format:YYYY-MM-DD Retrieve collections of the center starting from this date. Here, the start time and date refers to the starting time and date of the specified center, not of UTC. For example, if you specify 'start_date' as 2020-08-03, this API will list out all the appointments for which payments have been added beginning from Aug 3, 2020.

date
required

Mandatory Format:YYYY-MM-DD Retrieve collections of the center until this date (inclusive). Here, the end time and date refers to the ending time and date of the specified center, not of UTC. For example, if you specify 'end_date' as 2020-08-05, this API will list out all the appointments for which payments have been added until Aug 5, 2020 (inclusive).

boolean
Defaults to false

Optional Indicates whether transactions are to be retrieved as part of the center's collections. Default value: false.

boolean
Defaults to false

Optional Indicates whether employee tips are to be retrieved as part of the center's collections. Default value: false.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json